Skip to main content
POST
New Invoice

Endpoint Overview

POST https://api.unibee.dev/merchant/invoice/new New Invoice

Authorization

All UniBee Merchant API requests require authentication via API key.

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body


Request examples

cURL

Sandbox


Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.

Error handling

When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
currency
string<string>
required

The currency of invoice

taxPercentage
integer<int64>
required

The tax percentage of invoice,1000=10%

userId
integer<int64>
required

The userId of invoice

applyPromoCredit
boolean<*bool>

Whether to apply promo credit

applyPromoCreditAmount
integer<*int64>

Specific promo credit amount to apply (optional)

finish
boolean<bool>
gatewayId
integer<int64>

The gateway id of invoice

lines
object[]
name
string<string>

The name of invoice

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>